Bug 1562828 - When creating a new user with a mismatched password, incorrect "Name/Userid can't be blank" message is also displayed
Summary: When creating a new user with a mismatched password, incorrect "Name/Userid c...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
medium
low
Target Milestone: GA
: 5.10.0
Assignee: Zita Nemeckova
QA Contact: Landon LaSmith
URL:
Whiteboard:
: 1598140 1656458 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-02 15:46 UTC by Landon LaSmith
Modified: 2019-08-22 00:55 UTC (History)
8 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-07 23:01:30 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screenshot of error messages (45.74 KB, image/png)
2018-04-02 15:46 UTC, Landon LaSmith
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2019:0212 None None None 2019-02-07 23:01:37 UTC

Description Landon LaSmith 2018-04-02 15:46:27 UTC
Created attachment 1416316 [details]
Screenshot of error messages

Description of problem: When creating a new user with a mismatched password, incorrect "Name/Userid can't be blank" message is also delayed

Version: 5.9.2

How reproducible: 100%

Steps to Reproduce:
1. Create a user and fill out the name, userid and group fields. Input a password and enter a different password for "Confirm Password". Attempt to Save the user

Actual results: Errors for "Password/Verify Password do not match" is valid but the additionnal error messages for "Password can't be blank", "Name can't be blank" and "Userid can't be blank" are invalid and should not be shown

Expected results: Only the message for mismatched password should be displayed

Additional Info: Failing to add the user to a group also shows the error "Password can't be blank"

Comment 3 CFME Bot 2018-04-05 08:46:31 UTC
New commit detected on ManageIQ/manageiq-ui-classic/master:

https://github.com/ManageIQ/manageiq-ui-classic/commit/09aa3f93bb0483b7e96db4d5ccafa2e57d0851c1
commit 09aa3f93bb0483b7e96db4d5ccafa2e57d0851c1
Author:     Zita Nemeckova <znemecko@redhat.com>
AuthorDate: Wed Apr  4 03:33:25 2018 -0400
Commit:     Zita Nemeckova <znemecko@redhat.com>
CommitDate: Wed Apr  4 03:33:25 2018 -0400

    Get all user form data before validating for errors per field

    Fixes https://bugzilla.redhat.com/show_bug.cgi?id=1562828

 app/controllers/ops_controller/ops_rbac.rb | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Comment 4 Harpreet Kataria 2018-07-05 15:43:50 UTC
*** Bug 1598140 has been marked as a duplicate of this bug. ***

Comment 5 Landon LaSmith 2018-07-05 16:10:34 UTC
VERIFIED in 5.10.0.2. During new user creation, attempting to create a new user with a mismatched password but all other fields were valid resulted in only the invalid password message when saving the user. Saving the user with valid matching passwords but missing a group, username and/or full name correctly displayed the error message for the invalid field

Comment 7 errata-xmlrpc 2019-02-07 23:01:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:0212

Comment 8 Satoe Imaishi 2019-02-11 17:01:43 UTC
*** Bug 1656458 has been marked as a duplicate of this bug. ***


Note You need to log in before you can comment on or make changes to this bug.